#ifndef _LBBCLEAFDISTRIBUTIONSERIALIZER_H
#define _LBBCLEAFDISTRIBUTIONSERIALIZER_H


#include <BBC.h>
#include <LBBCLeafDistribution.h>
#include <LBBCLeaf.h>

namespace LBBC {

class _BBCExport LeafDistributionSerializer : public BBC::EntityDistributionSerializer {
  public:
    LeafDistributionSerializer();

    virtual ~LeafDistributionSerializer();


  public:
	void writeLeafDistribution(TiXmlDocument *document);

	void readLeafDistribution(TiXmlDocument *document);

	void addFacesInfo(Leaf *leaf);

	void setLeafDistribution(LeafDistribution *value);

	LeafDistribution* getLeafDistribution();

  protected:
	LeafDistribution *mLeafDistribution;
};

}
#endif
